---
layout: markdown_page
title: "Category Direction - Authorization and Authentication"
description: "Authentication and authorization keep resources secure but accessible."
canonical_path: "/direction/manage/auth/"
---

- TOC
{:toc}

| Category | **Authorization and Authentication** |
| --- | --- |
| Stage | [Manage](https://about.gitlab.com/handbook/product/categories/#manage-stage) |
| Group | [Authentication and Authorization](https://about.gitlab.com/handbook/product/categories/#authentication-and-authorization-group) |
| Maturity | [Complete](/direction/maturity/) |
| Content Last Reviewed | `2023-05-12` |


<%= partial("direction/manage/auth/templates/intro") %>

## Overview

<%= partial("direction/manage/auth/templates/overview") %>

### Target audience and experience

<%= partial("direction/manage/auth/templates/target") %>


## Where we are Headed

Security is top of mind for our customers, and by default, is also the highest priority for the Authentication and Authorization team. Our aim is to provide GitLab administrators the toolkit they need to make their GitLab experience both secure and accessible for their users - and to give them the flexibility to implement that in any way they choose. Just being able to security authenticate with GitLab is not enough. GitLab administrators need to secure all authentication avenues into the product, manage their users using automated processes, and have fine-grained control over what their users can and can't do in the product.

To be more specific, we are keenly aware of the increased security needs in Authentication and Authorization. The credentials that users are able to obtain are the "keys to the kingdom" and in a large enterprise, there needs to be strict inventory and management of these credentials, ensuring that their use and scope can be monitored, rotated, and revoked if necessary. In fact, there is even a shift away from using human-tied credentials altogether. They are too easily comprimised and prone to human error. Our team will provide authentication solutions that aren't tied to humans to faciliate automated processes that have less security risk.

### What's Next and Why

<%= partial("direction/manage/auth/templates/next") %>

## Maturity Plan

<%= partial("direction/manage/auth/templates/maturity") %>

<%= partial("direction/manage/auth/templates/competitors") %>

## Goals

### Near-Term Goals

1. **Customizable Roles** - We will turn on the feaure flag (present since %16.0) for [View Vulnerability Report](https://gitlab.com/groups/gitlab-org/-/epics/10160) as a separate permission in %16.1. This will allow you to create a [custom role](https://docs.gitlab.com/ee/user/permissions.html#create-a-custom-role) with this permission. This means users previously unable to view the vulnerability report will now have that ability, without having the elevate to a higher role. 

We will also start on the [UI](https://gitlab.com/groups/gitlab-org/-/epics/9827), which will allow users to create custom roles via UI. Today, it is API only.

2. **Enterprise Users** We are putting the final touches on our [automated user claims process](https://gitlab.com/gitlab-org/gitlab/-/issues/322039), which means that any user that matches a verified domain and was not provisioned will automatically belong to the Enterprise. This is more secure than purely relying on SAML and SCIM provisioning, and also eliminates onboarding friction for new customers - if a domain is verified, those users will be automatically claimed.


3. **Service Accounts** In %16.1, we plan to have at least the [API](https://gitlab.com/gitlab-org/gitlab/-/issues/392000) or [UI](https://gitlab.com/groups/gitlab-org/-/epics/9965) MVC available for users to create [service accounts](https://gitlab.com/gitlab-com/Product/-/issues/5698). Service Accounts are a more secure alternative to using personal, project, and group access tokens. They are unable to access the UI, are more auditable, and are not tied to a specific human user.

### Mid-Term Goals

1. Support [Azure AD overage claim](https://gitlab.com/groups/gitlab-org/-/epics/10507) for users who are onboarding with over 150 SAML groups. Today, the max is 150 groups, and any groups beyond that number will not be mapped into GitLab.

2. Continue to add customizable permissions to the framework, with [contributions from other teams](https://gitlab.com/groups/gitlab-org/-/epics/10000).


### Top Vision Item(s)

<%= partial("direction/manage/auth/templates/vision") %>
